<%@ page language="VB" masterpagefile="~/TeleMarket.master" autoeventwireup="false" inherits="ServiceList, App_Web_hb7jycgg" title="Untitled Page" theme="Default" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CenterContent" Runat="Server">

<script type="text/javascript" src="App_JS/commonlib.js"></script>

<asp:UpdatePanel runat="server" ID="pnlServiceList" >
    <ContentTemplate>
        <table cellpadding="3" cellspacing="3" width="100%">
            <tr>
                <td align="left" valign="top">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                            <td align="left" valign="top"><h1>Service List</h1></td>
                        </tr>
                        <tr>
                            <td align="left" valign="top">
                                <p class="breadcrumb">                        
                                    <a href="Home.aspx" target="_self">Home</a>&gt;
                                    <span id="breadcumb_tail">Service List</span> 
                                </p> 
                            </td>
                        </tr>                
                    </table> 
                </td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                            <td class="lf15p">Name</td>
                            <td class="lf1p">:</td>
                            <td class="lf75p">
                                <asp:TextBox ID="txtName" runat="server" MaxLength="50"></asp:TextBox>&nbsp;<span class="reqIcon">&nbsp;</span>
                                
                                <asp:RequiredFieldValidator ID="valReqName" runat="server" ControlToValidate="txtName" ErrorMessage="Please enter service name." 
                                    EnableClientScript="true" SetFocusOnError="true" Display="None"></asp:RequiredFieldValidator>
                                    
                                <ajaxToolkit:ValidatorCalloutExtender runat="Server" ID="Ext_valReqName" TargetControlID="valReqName" />    
                                
                            </td>
                        </tr>
                        <tr>
                            <td class="lf15p">Sub Title</td>
                            <td class="lf1p">:</td>
                            <td class="lf75p">
                                <asp:TextBox ID="txtSubTitle" runat="server" MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td class="lf15p">Description</td>
                            <td class="lf1p">:</td>
                            <td class="lf75p">
                                <textarea name="txtDescription" id="txtDescription" style="Width:340px;height:150px;" class="common_multitextbox" 
				                    onkeypress='return maxLength(this,"2000");' onpaste='return maxLengthPaste(this,"2000");' runat="server"></textarea>
				                    &nbsp;(Max 2000 characters)
                            </td>
                        </tr>
                        <tr>
                            <td class="lf15p">Image URL </td>
                            <td class="lf1p">:</td>
                            <td class="lf75p">                                                            
                                <asp:FileUpload ID="ServicePhoto" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" align="left" valign="top">&nbsp;</td>
                        </tr>    
                        <tr>
                            <td class="lf15p">&nbsp;</td>
                            <td class="lf1p">&nbsp;</td>
                            <td class="lf75p">
                                <asp:Button ID="btnSave" runat="server" Text="Save" CausesValidation="true" />&nbsp;&nbsp;
                                <asp:Button ID="btnCancel" runat="server" Text="Cancel" CausesValidation="false" SkinID="resetSkin" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td align="left" valign="top">                    
                    <asp:GridView ID="gMain" runat="server" SkinID="grdtoggle" 
                        DataKeyNames="ServiceID" Width="100%">
                    
				        <EmptyDataTemplate>                                                                                        
                            you have not created any service.
                        </EmptyDataTemplate>
                        
				        <Columns>						        
                            
                            <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Service Name" SortExpression="Name">
				                <ItemTemplate>
				                    <%#DataBinder.Eval(Container.DataItem, "Name")%>
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />
				            </asp:TemplateField>
                    	    
				            <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Sub Title" SortExpression="Title">
				                <ItemTemplate>
				                    <%#DataBinder.Eval(Container.DataItem, "Title")%>
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />
				            </asp:TemplateField>
                    	    
                	        <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Description" SortExpression="Description">
				                <ItemTemplate>
				                    <%#DataBinder.Eval(Container.DataItem, "Description")%>
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />
				            </asp:TemplateField>
    				        
				            <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Image">
				                <ItemTemplate>
				                    <asp:Literal ID="ltrImageURL" runat="server"></asp:Literal>
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />
				            </asp:TemplateField>
    				        
            	            <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Created Date" SortExpression="CreatedDt">
				                <ItemTemplate>
				                    <%#DataBinder.Eval(Container.DataItem, "CreatedDt")%>
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />
				            </asp:TemplateField>
                    		
                    		<asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Edit">
				                <ItemTemplate>
				                    <asp:ImageButton ID="imgEdit" CommandName="EditItem" CommandArgument='<%#Eval("ServiceID")%>' runat="Server"  CausesValidation="false" SkinID="imgEditSkin" />
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />										        
				            </asp:TemplateField>
				            
                            <asp:TemplateField HeaderStyle-HorizontalAlign="left" HeaderText="Delete">
				                <ItemTemplate>
				                    <asp:ImageButton ID="imgDelete" CommandName="DeleteItem" CommandArgument='<%#Eval("ServiceID")%>' runat="Server"  CausesValidation="false" SkinID="imgDeleteSkin" />
				                </ItemTemplate>
				                <ItemStyle HorizontalAlign="Left" />										        
				            </asp:TemplateField>                                    						        
				        </Columns>							    									    
                    </asp:GridView>   
                </td>
            </tr>
        </table>
    </ContentTemplate>        
    <Triggers>        
        <asp:PostBackTrigger ControlID="btnSave" />
        <asp:AsyncPostBackTrigger ControlID="gMain" />        
    </Triggers>
</asp:UpdatePanel>
</asp:Content>

